LSLOGINS(1)

NAMN
lslogins - visa information om kända användare i systemet

SYNOPSIS

lslogins [flaggor] [-s|-u[=UID]] [-g grupper] [-l logins] [username]

BESKRIVNING

Undersök wtmp- och btmp-loggarna, /etc/shadow (om nödvändigt) och /passwd och mata ut önskade data.

Det valfria argumentet username tvingar lslogins att endast skriva ut alla tillgängliga uppgifter om den angivna användaren. I det här fallet är utdataformatet annorlunda än för -l eller -g och om username är okänt rapporteras det som ett fel.

Standardåtgärden är att lista information om alla användare i systemet.

FLAGGOR

Obligatoriska argument för långa optioner är obligatoriska även för korta optioner.

-a, --acc-expiration
    Visa data om datumet för senaste lösenordsändring och kontots utgångsdatum (se shadow(5) för mer information). (Kräver root-behörighet.)

--btmp-file sökväg
    Alternativ sökväg för btmp.

-c, --colon-separate
    Separera information om varje användare med ett kolon istället för en ny rad.

-e, --export
    Utdata i formatet NAMN=VÄRDE. Se även flaggan --shell.

-f, --failed
    Visa data om användarnas senaste misslyckade inloggningsförsök.

-G, --supp-groups
    Visa information om tilläggsgrupper.

-g, --groups grupper
    Visa endast data för användare som tillhör grupper. Mer än en grupp kan anges; listan måste vara kommaseparerad. Okända gruppnamn ignoreras.

    Observera att relationen mellan användare och grupp kan vara osynlig för den primära gruppen om användaren inte uttryckligen anges som gruppmedlem (t.ex. i /etc/group). Om kommandot lslogins söker efter grupper används endast gruppdatabasen, och användardatabasen med primärt GID används inte alls.

-L, --last
    Visa data som innehåller information om användarnas senaste inloggningssessioner.

-l, --logins logins
    Visa endast data för användare med en inloggning som anges i logins (användarnamn eller användar-ID). Mer än en inloggning kan anges; listan måste vara kommaseparerad. Okända inloggningsnamn ignoreras.

-n, --newline
    Visa varje information på en separat rad.

--noheadings
    Skriv inte ut någon rubrikrad.

--notruncate
    Avkorta inte utdata.

-o, --output lista
    Ange vilka utdatakolumner som ska skrivas ut. Standardlistan med kolumner kan utökas om lista anges i formatet +list.

--output-all
    Output all available columns. --list-columns to get a list of all supported columns.

-H, --list-columns
    List the columns that can be specified with the --output option. Can be used with --json or --raw to get the list in a machine-readable format.

-p, --pwd
    Visa information om inloggning med lösenord (se även -afL).

-r, --raw
    Rå utdata (ingen kolonnering).

-J, --json
    JSON format output.

-s, --system-accs
    Show system accounts. These are by default all accounts with a UID between 101 and 999 (inclusive), with the exception of either nobody or nfsnobody (UID 65534). This hardcoded default may be overridden by the parameters SYS_UID_MIN and SYS_UID_MAX in the file /etc/login.defs.

--time-format typ
    Visa datum i kort, fullständigt eller isoformat. Standardinställningen är kort, och detta tidsformat är utformat för att vara utrymmeseffektivt och lättläst.

-u, --user-accs
    Show user accounts. These are by default all accounts with a UID above 1000 (inclusive), with the exception of either nobody or nfsnobody (UID 65534). This hardcoded default may be overridden by the parameters UID_MIN and UID_MAX in the file /etc/login.defs.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

--wtmp-file sökväg
    Alternativ sökväg för wtmp.

--lastlog-file path
    Alternativ sökväg för lastlog(8).

-y, --shell
    Kolumnnamnet kommer att ändras så att det endast innehåller tecken som är tillåtna för identifiering av skalvariabler. Detta kan t.ex. användas med --export. Observera att denna funktion har aktiverats automatiskt för --export i version 2.37, men på grund av kompatibilitetsproblem är det nu nödvändigt att begära detta beteende av --shell.

-Z, --context
    Visa användarnas säkerhetskontext.

-z, --print0
    Avgränsa användarinmatningar med ett nul-tecken i stället för en ny rad.

AVSLUTSSTATUS

0
    om OK,

1
    om felaktiga argument anges,

2
    om ett allvarligt fel inträffar (t.ex. en korrupt logg).

ANTECKNINGAR

Standardtrösklarna för UID läses från /etc/login.defs.

  Status för lösenord

Flera fält beskriver lösenordets status.

"Lösenordet är låst"
    Lösenordet inleds med '!!!', och användaren kan inte logga in trots att lösenordet är angivet eller tomt. Detta är vanligt för nya konton utan ett fastställt lösenord.

"Lösenord krävs inte (tomt)"
    Lösenordet är inte angivet (hash saknas); detta är vanligt för låsta systemkonton. Att det inte krävs något lösenord betyder inte att användaren kan logga in utan lösenord. Det beror på lösenordets "lås"-status.

"Inloggning med lösenord inaktiverad"
    "yes" betyder att det inte finns något giltigt lösenord. Lösenordshashen saknas, eller så är hashmetoden okänd eller innehåller ogiltiga tecken.

MILJÖ

LIBSMARTCOLS_DEBUG=all
    aktiverar libsmartcols felsökningsutdata.

LIBSMARTCOLS_DEBUG_PADDING=on
    använda synliga utfyllnadstecken.

HISTORIK

Verktyget lslogins är inspirerat av verktyget logins, som först dök upp i FreeBSD 4.10.

UPPHOVSPERSONER

SE ÄVEN

group(5), passwd(5), shadow(5), utmp(5)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot lslogins ingår i paketet util-linux som kan hämtas från